<!--kui ei kasuta for loopi, siis mitu x järjest:-->
<!--<div class="blog-posts">-->
<!--    <h3>Title</h3>-->
<!--    <p><b>Author:</b> Dan Brown</p>-->
<!--    <p><b>Date Posted</b> 4 July 2023</p>-->
<!--    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>-->
<!--</div>-->
<!--<div class="blog-posts">-->
<!--    <h3>Title</h3>-->
<!--    <p><b>Author:</b> Dan Brown</p>-->
<!--    <p><b>Date Posted</b> 4 July 2023</p>-->
<!--    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>-->
<!--</div>-->

<!--<div class="blog-posts">-->
<!--    <h3>Title</h3>-->
<!--    <p><b>Author:</b> Dan Brown</p>-->
<!--    <p><b>Date Posted</b> 4 July 2023</p>-->
<!--    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>-->
<!--</div>-->
<!--<div class="blog-posts">-->
<!--    <h3>Title</h3>-->
<!--    <p><b>Author:</b> Dan Brown</p>-->
<!--    <p><b>Date Posted</b> 4 July 2023</p>-->
<!--    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>-->
<!--</div>-->

<!--<h3>{{post.title}}</h3>-->

<!--# pages/views.py-->
<!--from django.shortcuts import render-->
<!--from django.views.generic import ListView, DetailView-->
<!--def home_page_view(request):-->
<!--    posts = [-->
<!--        {-->
<!--            'title': 'First Blog Post',-->
<!--            'author': 'John Doe',-->
<!--            'content': 'This is the content of the first blog post.',-->
<!--            'date_posted': 'June 1, 2024'-->
        },

        # Add more blog entries here if needed
    ]
    context= {"posts": posts}
    return render(request, 'home.html', context)

path('about/', about, name='about')

base.html
<a class="nav-link active" href="{% url 'home' %}">Home</a> rida 30
<a class="nav-link" href="#">Link</a> rida 33
#home.html
{% extends 'base.html' %}
{% block content %}
{% for post in posts %}

<h3>{{post.title}}</h3>
<div class="blog-posts">
    <h3>Blogi vabalt</h3>
    <p><b>Author:</b> {{post.author}}n</p>
    <p><b>Date Posted</b> {{post.date}}</p>
    <p>{{ post.content }}<p>
</div>
{% endfor%}

{% endblock %}

#pages/urls
# pages/urls.py
from django.urls import path
from . import views
urlpatterns = [
 path('', views.home_page_view, name='home')
]

#pages/views.py
from django.shortcuts import render
from django.views.generic import ListView, DetailView
def home_page_view(request):
    posts = [
        {
            'title': 'First Blog Post',
            'author': 'John Doe',
            'content': 'This is the content of the first blog post.',
            'date_posted': 'June 1, 2024'
        },

        # Add more blog entries here if needed
    ]
    context= {"posts": posts}
    return render(request, 'home.html', context)

